package org.jboss.security.jacc;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.security.CodeSource;
import java.security.Permission;
import java.security.PermissionCollection;
import java.security.Policy;
import java.security.ProtectionDomain;
import org.jboss.security.jacc.DelegatingPolicy;

class PolicyProxy extends Policy {
  private Policy delegate;
  
  PolicyProxy(Policy delegate) {
    this.delegate = delegate;
  }
  
  public void refresh() {
    this.delegate.refresh();
  }
  
  public PermissionCollection getPermissions(CodeSource codesource) {
    return this.delegate.getPermissions(codesource);
  }
  
  public boolean implies(ProtectionDomain domain, Permission permission) {
    return this.delegate.implies(domain, permission);
  }
  
  public PermissionCollection getPermissions(ProtectionDomain domain) {
    return this.delegate.getPermissions(domain);
  }
}
